Option Explicit

' VisualBasic global declarations for VBTables
' Applicable to the .ACTION property
Global Const VBT_CREATETABLE = 1
Global Const VBT_LOADTABLE = 2
Global Const VBT_SORTTABLE = 3
Global Const VBT_SAVETABLE = 4
Global Const VBT_DELETETABLE = 5
Global Const VBT_SEARCHTABLE = 6

' Applicable to the .INMEMORYCODE property
Global Const VBT_NOTHING = 0
Global Const VBT_INDEXONLY = 1
Global Const VBT_EVERYTHING = 2

' Applicable to the .SEARCHDIRECTION property
Global Const VBT_FORWARD = 0
Global Const VBT_BACKWARD = 1

' Applicable to the .SORTORDER property
Global Const VBT_ASCENDING = 0
Global Const VBT_DESCENDING = 1

' Applicable to the .SORTTYPE property
Global Const VBT_TEXTSORT = 0
Global Const VBT_INTEGERSORT = 1
Global Const VBT_FLOATINGPOINTSORT = 2

' The VBTables trappable Errors
' Runtime Err value generated to denote a VBTable
' error has occurred.
Global Const VBT_ERROR = 15000

' Specific VBTables trappable Errors
Global Const VBT_OUT_OF_MEMORY = 1
Global Const VBT_INVALID_ROW = 2
Global Const VBT_INVALID_COL = 3
Global Const VBT_INVALID_RECORD = 4
Global Const VBT_INVALID_TABLENAME = 5
Global Const VBT_INVALID_SEARCHDIRECTION = 6
Global Const VBT_UNABLE_TO_OPEN_FILE = 7
Global Const VBT_UNABLE_TO_CREATE_FILE = 8
Global Const VBT_MAXIMUM_COLS_EXCEEDED = 9
Global Const VBT_DUPLICATE_TABLENAME = 10
Global Const VBT_DUPLICATE_FILE_ERROR = 11
Global Const VBT_INVALID_VBTABLE_FORMAT = 12
Global Const VBT_INVALID_METHOD_PARMS = 13
Global Const VBT_INVALID_ACTION = 14
Global Const VBT_UNABLE_TO_SORT = 15
Global Const VBT_INVALID_MEMORYCODE = 16
Global Const VBT_INVALID_TEXT_STRING = 17
Global Const VBT_INVALID_FILE_VERSION = 19
Global Const VBT_CANNOT_PROCESS_FILE = 21
Global Const VBT_MINIMUM_COLS_ERROR = 22
Global Const VBT_INVALID_SORTORDER = 23
Global Const VBT_INVALID_SORTTYPE = 24
